Subject: Re: [X2Go-Dev] Bug#952: Clipboard broken

From: Stefan Baur <[email-masked]>
Date: Wed, 30 Sep 2015 15:01:44 +0200

Am 30.09.2015 um 14:31 schrieb Mike Gabriel:
> HI Stefan,
> 
> On  Mi 30 Sep 2015 00:55:08 CEST, Stefan Baur wrote:
> 
>> package: x2goclient version: 4.0.5.0 severity: important
>> 
>> The clipboard is broken on X2GoClient for Windows. Even though
>> the client is set to allow clipboard sharing in both directions,
>> neither direction works.
>> 
>> Severity set to important, as it seriously impacts a key
>> functionality.
>> 
>> - -Stefan
> 
> Please check /etc/x2go/x2goagent.options and check if clipboard is 
> disabled there.

I've seen this on several servers, haven't checked all of them yet,
but the last one clearly says:

# Enforce clipboard behaviour in X2Go sessions globally (for all
connecting clients)
# Possible values for the -clipboard option: both, server, client, none
# If this option stays commented out, clients can choose the sessions'
clipboard behaviour...
#X2GO_NXAGENT_DEFAULT_OPTIONS+=" -clipboard both"

so it's in its default state, I guess.
Also, I never consciously disabled that feature on any of those servers.

> Please check with VcXsrv as shipped with X2Go Client and a PuTTY + 
> X11-forwarding session, if copy+paste works for you via such a
> remote X11 session.

Will check that later.

Funny:
I just tried 4.0.3.2, where it seems to work fine, then I switched to
4.0.5.0 and - it worked there, too.  But it hasn't been working all
day yesterday with 4.0.5.0, on the same machine.
So maybe something isn't initialized properly, and when firing up the
old client first, it happens and remains that way?

Will investigate further.

- -Stefan

- -- 
BAUR-ITCS UG (haftungsbeschränkt)
Geschäftsführer: Stefan Baur
Eichenäckerweg 10, 89081 Ulm | Registergericht Ulm, HRB 724364
Fon/Fax 0731 40 34 66-36/-35 | USt-IdNr.: DE268653243